[build-system]
requires = ["setuptools", "setuptools-scm"]
build-backend = "setuptools.build_meta"

[project]
name = "pojagi-dsp"
description = "DSP tools for load testing."
urls = { "gitlab" = "https://gitlab.pojagi.org/tjb1982/dsp" }
authors = [
    { name = "Tom Brennan", email = "tjb1982@gmail.com" },
]
readme = "README.md"
requires-python = ">=3.8"
classifiers = []
dependencies = [
    "pydantic==1.10.2",
    "scipy==1.8.1",

    # These should be included in the above requirement
    # "marshmallow>=3.3.0",
    # "marshmallow_dataclass>=7.2.1",
    # "marshmallow_oneofschema>=2.0.1",
    # "PyYAML>=5.3.1",
]

optional-dependencies = { test = ["pytest"] }
version = "0.0.0.dev0"
# dynamic = ["version"]
